Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: distributed
Source: https://github.com/dask/distributed
Comment: Remove some upstream javascript files.
 export_tool.js as it's built from a provided .coffee file
 anime.min.js is minified javascript
 reconnecting-websocket.min.js is minified javascript.
Files-Excluded: distributed/dashboard/export_tool.js
 distributed/http/static/css/sortable.min.css
 distributed/http/static/css/sortable.min.css.map
 distributed/http/static/js/anime.min.js
 distributed/http/static/js/reconnecting-websocket.min.js
 distributed/http/static/js/sortable.min.js

Files: *
Copyright: Copyright (c) 2015-2016, Continuum Analytics, Inc. and contributors
License: BSD-3-Clause

Files: debian/*
Copyright: 2016- Diane Trout <diane@ghic.org>
  2024 Étienne Mollier <emollier@debian.org>
  2024 Julian Gilbey <jdg@debian.org>
License: Expat

Files: debian/missing-sources/distributed/http/static/js/anime.js
Copyright: Copyright (c) 2019 Julian Garnier
Source: https://github.com/juliangarnier/anime/
License: Expat

Files: debian/missing-sources/distributed/http/static/js/reconnecting-websocket.js
Copyright: Copyright (c) 2010-2012, Joe Walnes
Source: https://github.com/joewalnes/reconnecting-websocket/
License: Expat

License: BSD-3-Clause
 Copyright (c) 2015-2016, Continuum Analytics, Inc. and contributors
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
 .
 Redistributions of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
 .
 Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 Neither the name of Continuum Analytics nor the names of any contributors
 may be used to endorse or promote products derived from this software
 without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
